Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160571 - allow use of consolehelper
Summary: allow use of consolehelper
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vpnc
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 20:40 UTC by Rob Kooper
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: vpnc-0.3.3-14.fc7
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-17 22:27:12 UTC


Attachments (Terms of Use)
allow use of consolehelper (deleted)
2005-06-15 20:40 UTC, Rob Kooper
no flags Details | Diff
patch to fix the new iptable format (from vpnc mailinglist) (deleted)
2005-06-15 20:43 UTC, Rob Kooper
no flags Details | Diff

Description Rob Kooper 2005-06-15 20:40:33 UTC
Description of problem:
use consolehelper to allow non-root people to execute vpnc(-disconnect)

Version-Release number of selected component (if applicable):
 0.3.3-2

Actual results:
could not bind to port 500

Expected results:
ask for root password since we know it wants to bind to port 500

Additional info:
attached files also contains a patch that will fix the problem reported in 160364

Comment 1 Rob Kooper 2005-06-15 20:40:33 UTC
Created attachment 115508 [details]
allow use of consolehelper

Comment 2 Rob Kooper 2005-06-15 20:43:13 UTC
Created attachment 115509 [details]
patch to fix the new iptable format (from vpnc mailinglist)

This patch was on the VPNC mailing list:
http://lists.unix-ag.uni-kl.de/pipermail/vpnc-devel/2005-May/000658.html

Comment 3 Tomas Mraz 2007-01-17 22:27:12 UTC
Implemented consolehelper support as a subpackage vpnc-consoleuser.

Also modified pam config so no root password is needed for running vpnc when the
user is on console.



Note You need to log in before you can comment on or make changes to this bug.